<template>
  <td class="cell" @click="go">{{mark}}</td>
</template>

<script>
  export default {
    name: 'Cell',

    props: ['name'],

    data () {
      return {
        // позволяет игроку размещать метку
        frozen: false,

        // содержит X или O, которые будут отображаться в td
        mark: ''
      }
    },

    created () {
      this.$bus.$on('freeze', () => this.frozen = true)

      this.$bus.$on('clearCell', () => {
        this.mark = ''
        this.frozen = false
      })


    },

    methods: {
      go () {
        if (! this.frozen) {
          // Получаем либо X, либо O из компонента Board
          this.mark = this.$parent.activePlayer

          this.frozen = true
          // Запускаем событие, чтобы уведомить компонент Grid о размещении метки
          this.$bus.$emit('go', this.name)
        }
      }
    }
  }
</script>

<style>
  .cell {
    width: 33.333%;
    height: 90px;
    border: 6px solid #2c3e50;
    font-size: 3.5em;
    font-family: 'Gochi Hand', sans-serif;
  }
  .cell:hover {
    background-color: #7f8c8d;
  }
  .cell::after {
    content: '';
    display: block;
  }
  .cell:first-of-type {
    border-left-color: transparent;
    border-top-color: transparent;
  }
  .cell:nth-of-type(2) {
    border-top-color: transparent;
  }
  .cell:nth-of-type(3) {
    border-right-color: transparent;
    border-top-color: transparent;
  }
  tr:nth-of-type(3) .cell {
    border-bottom-color: transparent;
  }
</style>